Page MenuHomeFreeBSD

Update graphics/imv to 3.0.0
ClosedPublic

Authored by fernape on May 11 2018, 9:37 PM.

Details

Summary

Reported by portscout

  • Create pkg-plist instead of PLIST
  • Remove do-install and let the patched Makefile's install target do the job.
  • Add asciidoc as dependency since the man pages changed format
Test Plan
  • portlint -AC OK
  • poudriere builds for {10.4,11.1}{amd64,i386}, 12i386 OK
  • Run test in 11.1 OK.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

fernape created this revision.May 11 2018, 9:37 PM

Why did you change it to a plist?

graphics/imv/pkg-plist
2 ↗(On Diff #42435)

^ this is wrong

tcberner requested changes to this revision.May 12 2018, 10:30 AM
This revision now requires changes to proceed.May 12 2018, 10:30 AM
fernape updated this revision to Diff 42447.May 12 2018, 2:15 PM

Fixing pkg-plist.

fernape marked an inline comment as done.May 12 2018, 2:19 PM

Why did you change it to a plist?

I'm including two more files to the list. I didn't want to abuse PLIST. There's nothing in the porter's book about the recommended length of the list but I can change it again :)

graphics/imv/pkg-plist
2 ↗(On Diff #42435)

Wow. Sorry for that. I looks pretty broken. It was auto-generated by make makeplist.
It's fixed now.

I would keep it in the Makefile.

fernape updated this revision to Diff 42461.May 12 2018, 9:25 PM
fernape marked an inline comment as done.

Bring PLIST_FILES back

I would keep it in the Makefile.

It is back now. I will try to know why make makeplist messes the path for imv_config and why poudriere doesn't detect the problem.

Don't worry, it would have worked as ETCDIR expands to the string you need. So functionally it was fine,... Still not correct though

I would keep it in the Makefile.

It is back now. I will try to know why make makeplist messes the path for imv_config and why poudriere doesn't detect the problem.

It's not messed up, it's just a wrongly used substitution :) -- ETCDIR expands to etc/${PORTNAME}. -- so
%%ETCDIR%% = etc/imv in this case.

Now make-plist sees "etc/imv_config" and is greedy and replaces the occurence of etc/imv by ETCDIR.

So, in short, the plist would have worked with %%ETCDIR%% -- it's just not correct :)

tcberner added inline comments.May 13 2018, 8:18 AM
graphics/imv/Makefile
16 ↗(On Diff #42461)

^ Wrong order BUILD, LIB, TEST.

fernape updated this revision to Diff 42478.May 13 2018, 3:05 PM

Reorder BUILD and LIB depends.

fernape marked an inline comment as done.May 13 2018, 3:08 PM

Don't worry, it would have worked as ETCDIR expands to the string you need. So functionally it was fine,... Still not correct though

I would keep it in the Makefile.

It is back now. I will try to know why make makeplist messes the path for imv_config and why poudriere doesn't detect the problem.

It's not messed up, it's just a wrongly used substitution :) -- ETCDIR expands to etc/${PORTNAME}. -- so
%%ETCDIR%% = etc/imv in this case.

Now make-plist sees "etc/imv_config" and is greedy and replaces the occurence of etc/imv by ETCDIR.

So, in short, the plist would have worked with %%ETCDIR%% -- it's just not correct :)

Thanks for the explanation!

tcberner accepted this revision.May 13 2018, 7:15 PM

Looks good to me.

This revision is now accepted and ready to land.May 13 2018, 7:15 PM
This revision was automatically updated to reflect the committed changes.